package com.sys.bus.hr.model.base;

import java.math.BigDecimal;

import com.jfinal.plugin.activerecord.IBean;
import com.jfinal.plugin.activerecord.Model;
@SuppressWarnings("serial")
public abstract class BasePerson<M extends BasePerson<M>> extends Model<M> implements IBean {

	  public String getName() {
	        return get("name");
	  }
	  public void setName(String name) {
	        set("name",name);
	 }
	  public String getNumber() {
			return get("fnumber");
	  }
	  public void setNumber(String number) {
		set("number",number);
	}
	  public String getCname() {
	        return get("cname");
	  }
	  public void setCname(String cname) {
	        set("cname",cname);
	 }
	  public String getEmail() {
	        return get("email");
	  }
	  public void setEmail(String email) {
	        set("email",email);
	 }
	  public String getId() {
	        return get("id");
	  }
	  public void setId(String id) {
	        set("id",id);
	 }
	  public String getDeptId() {
	        return get("deptId");
	  }
	  public void setDeptId(String deptId) {
	        set("deptId",deptId);
	 }
	  public String getDeptName() {
	        return get("deptName");
	  }
	  public void setDeptName(String deptName) {
	        set("deptName",deptName);
	 }
	  public String getPositionName() {
	        return get("positionName");
	  }
	  public void setPositionName(String positionName) {
	        set("positionName",positionName);
	 }
	  public String getPositionId() {
	        return get("positionId");
	  }
	  public void setPositionId(String positionId) {
	        set("positionId",positionId);
	 }
	  public String getMobile() {
		return get("mobile");
	}
	  public void setMobile(String mobile) {
		set("mobile",mobile);
	}
	  public int getIsprimary() {
		  Object o = get("isprimary");
		  if(o instanceof BigDecimal){
			  return ((BigDecimal)o).intValue();
		  }else if(o instanceof Integer){
			  return (Integer)o;
		  }
	        return get("isprimary");
	  }
	  public void setIsprimary(int isprimary) {
	        set("isprimary",isprimary);
	 }
}
